﻿@using Portal.Models;
@using System.Web.UI.WebControls;
@using DevExpress.Web.Mvc;
@using DevExpress.Web.Mvc.UI;
@using DevExpress.Utils;
@model Toyota.Common.Web.MVC.ModelHolder
@{
    Layout = "~/Views/Layout/Dashboard.cshtml";
}
<style type="text/css">
        .circle{
            background-color:#999999;
            height:10px;
            width:10px;
            border-radius:120px;
        }
    
        .green{
            background-color:#00FF01;
            height:10px;
            width:10px;
            border-radius:120px;
        }
        .yellow{
            background-color:#ffcc00;
            height:10px;
            width:10px;
            border-radius:120px;
        }

    .btnOkeh {
        float: right;
        margin-right: 5px;
        height: 5px !important;
    }

        .btnOkeh .dxbButton_IPPCSBlue .dxb {
            padding: 1px 3px 1px !important;
        }

            .btnOkeh .dxbButton_IPPCSBlue .dxb SPAN {
                height: 4px;
            }

            .btnOkeh .dxbButton_IPPCSBlue .dxb SPAN {
                font-size: 9px;
            }


    div.msgBox {
        width: 600px;
    }

    div.msgBoxButtons input[type="button"] {
        width: 200px;
    }

    div.msgBoxButtons input[value="Close"] {
        width: 80px;
        background-color: #ff4242;
    }
</style>
<script type="text/javascript">
    var ROUTE;
    var RATE;
    $(document).ready(function () {
        // $('#SUPPLIER_CD_ET').hide();
        //t
        getHeader();
        getShortageCount();
        $('#remMANIFEST_NO_I, #remMANIFEST_NO_ET').hide();
        $('#remORDER_NO_I, #remORDER_NO_ET').hide();
    });
    function OpenUrl(manifest_no) {
        window.location = '@Url.Action("Index", "KanbanReceivingManifestLevel")?MANIFEST_NO=' + manifest_no;
    }
    function OpenUrlPart(MANIFEST_NO) {
        //window.location = '@Url.Action("Index", "KanbanPartShortage")?RECEIVING_PLANT=' + RECEIVING_PLANT + '&DOCK_CD=' + DOCK_CD + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&SUPPLIER_CD=' + SUPPLIER_CD + '&P_LANE_CD=' + P_LANE_CD
        window.location = '@Url.Action("Index", "KanbanPartShortage")?MANIFEST_NO=' + MANIFEST_NO + '&DELIVERY_NO=' + DELIVERY_NO.GetText() + '&RECEIVING_PLANT=' + RECEIVING_PLANT.GetText() + '&DOCK_CD=' + DOCK_CD.GetText() + '&ROUTE=' + ROUTE + '&RATE=' + RATE
    }

    function getHeader() {
        //RouteOption.SetText("");
        $.ajax(
             {
                 type: "POST",
                 url: "@Url.Content("~/KanbanReceiving/getKanbanReceivingHeader")",
            data:
        {
            DELIVERY_NO: DELIVERY_NO.GetText(),
            DOCK_CD: DOCK_CD.GetText(),
            RCV_PLANT_CD : RECEIVING_PLANT.GetText(),
            SUPPLIER_CD : SupplierOption.GetText(),
            SUPPLIER_PLANT : SUPPLIER_PLANT_CD.GetText()

        },
            success: function (result) {
            ROUTE = result.data[0].ROUTE;
            RATE = result.data[0].RATE;
            lblRoute.textContent = result.data[0].ROUTE;
            lblRit.textContent = result.data[0].RATE;
            lblTruckStation.textContent = result.data[0].TRUCK_STATION;
            lblArrivalPlan.textContent = result.data[0].ARRIVAL_PLAN_DT;
            lblArrivalActual.textContent = result.data[0].ARRIVAL_ACTUAL_DT;
            lblDeparturePlan.textContent = result.data[0].DEPARTURE_PLAN_DT;
            lblDepartureActual.textContent = result.data[0].DEPARTURE_ACTUAL_DT;

        },
        error: function (result) {
            $.msgBox({ title: "error", type: "error", content: "Error when update data" });
        }
    });
    //getShortageCount();
    //GridTruckReceiving.PerformCallback();

    }

    function openpage(manifest_no, supplier_plant_cd, supplier_code, supplier_name, rcv_plant_cd, dock_cd) {
        $.msgBox({
            title: "Page choser",
            type: "prompt",
            content: "Please choose wich page do you like to open",
            buttons: [
                {
                    value: 'Summary Part Receiving'
                },
                {
                    value: 'Kanban Receiving Manifest Level'
                }
                ,
                {
                    value: 'Close'
                }
            ],
            inputs: false,
            success: function (m) {
                switch (m) {
                    case "Close":
                        break;
                    case "Summary Part Receiving":
                        window.location = '@Url.Action("Index", "KanbanSummaryPartReceiving")?MANIFEST_NO=' + manifest_no +'&DELIVERY_NO='+DELIVERY_NO.GetText()+'&DOCK_CD='+dock_cd+'&RECEIVING_PLANT='+rcv_plant_cd+'&SUPPLIER_CD='+supplier_code+'&ROUTE='+ROUTE+'&RATE='+RATE
                    break;
                    case "Kanban Receiving Manifest Level":
                        window.location = '@Url.Action("Index", "KanbanReceivingManifestLevel")?MANIFEST_NO=' + manifest_no + '&SUPPLIER_PLANT_CD=' + supplier_plant_cd + '&SUPPLIER_CODE=' + supplier_code + '&RCV_PLANT_CD=' + rcv_plant_cd + '&DOCK_CD=' + dock_cd + '&SUPPLIER_NAME=' + supplier_name
                        break;
                }
            }
        });
        $('div.msgBoxContainer').html('<center><h4>Please choose wich page do you like to open</h4></center>');
    }

    function getDataByDCL()
    {
        //RouteOption.SetText("");
        $.ajax(
             {
                 type: "POST",
                 url: "@Url.Content("~/KanbanReceiving/getOrder")",
                 data:
                 {
                     ORDER_NO: DCL_NO.GetText(),
                     DOCK_CD: DOCK_CD.GetText()
                 },
                 success: function (result) {
                     if (result.count > 0) {
                         //ROUTE_RATE.SetText(result.data[0].ROUTE_RATE);
                         PLANT_DOCK.SetText(result.data[0].PLANT_DOCK);
                         ROUTE_RATE.SetText(result.data[0].ROUTE_RATE);
                         //GridRouteOption.PerformCallback();
                     }
                     else {
                         ROUTE_RATE.SetText("");
                         PLANT_DOCK.SetText("");
                     }
                 },
                 error: function (result) {
                     $.msgBox({ title: "error", type: "error", content: "Error when update data" });
                 }
             });
        //$('#circle').addClass('green');
        //console.log('oioi');
    }

    @*function getShortageCount()
   {
       var STATUS = null;
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/KanbanReceiving/getShortage")",
            data:
            {
                ORDER_NO: DCL_NO.GetText(),
                DOCK_CD : DOCK_CD.GetText(),
                ROUTE_RATE : ROUTE_RATE.GetText()
            },
            success: function (result) {
                if (result.count > 0)
                {
                    for (i = 0; i < result.count; i++)
                    {
                        console.log(result.data[i].STATUS);
                        if (result.data[i].STATUS == 'Checking') {
                            STATUS = 1;
                        }
                    }

                    if (STATUS == 1) {
                        $('#circle').addClass('yellow');
                    }
                    else {
                        $('#circle').addClass('green');
                    }
                }
                else
                {
                    //ROUTE_RATE.SetText("");

                }

            },
            error: function (result) {
                //$.msgBox({ title: "error", type:"error", content: "Error when update data" });
            }
        });
       STATUS = null;
   }*@


    function getShortageCount() {
        var x = DELIVERY_NO.GetText();
        var STATUS = null;
        $.ajax({
            type: "POST",
            url: "@Url.Content("~/KanbanReceiving/getShortage")",
            data:
        {
            ORDER_NO: x,
            DOCK_CD: DOCK_CD.GetText(),
            RCV_PLANT_CD: RECEIVING_PLANT.GetText(),
            SUPPLIER_CD: SupplierOption.GetText(),
            SUPPLIER_PLANT: SUPPLIER_PLANT_CD.GetText()
        },
            success: function (result) {
                if (result.data[0].RECEIVED == result.data[0].ORDER_PLAN_QTY_LOT) {
                    $('#circle').addClass('green');
                }
                else {
                    $('#circle').addClass('yellow');
                }
                var percent = result.data[0].RECEIVED / result.data[0].ORDER_PLAN_QTY_LOT * 100;
                console.log(Math.round(percent));
                lblPercentage.textContent = Math.round(percent) + "%"
            },
            error: function (result) {
                $.msgBox({ title: "error", type: "error", content: "Error when loading data" });
            }
        });

    }

    function OnBeginCallbackGrid(s, e) {
        //if (DCL_NO.GetText() != "" && DOCK_CD.GetText() != "" && ROUTE_RATE.GetText()!="") {
        //    e.customArgs["ORDER_NO"] = DCL_NO.GetText();
        //    e.customArgs["DOCK_CD"] = DOCK_CD.GetText();
        //    e.customArgs["ROUTE_RATE"] = ROUTE_RATE.GetText();
        //    getShortageCount();
        //}
        var x = DELIVERY_NO.GetText();
        //e.customArgs["ORDER_NO"] = x.substring(1, x.length - 2);
        e.customArgs["DELIVERY_NO"] = x;
        e.customArgs["DOCK_CD"] = DOCK_CD.GetText();
        e.customArgs["RECEIVING_PLANT"] = RECEIVING_PLANT.GetText();
        e.customArgs["SUPPLIER_CD"] = SupplierOption.GetText();
        e.customArgs["SUPPLIER_PLANT_CD"] = SUPPLIER_PLANT_CD.GetText();
    }

    function search() {
        if (RECEIVING_PLANT.GetText() == "" || DELIVERY_NO.GetText() == "" || DOCK_CD.GetText() == "") {
            $.msgBox({ title: "error", type: "error", content: "Please fill mandatory field : Plant, Dock, Delivery No" });
        }
        else {
            $('#circle').removeClass('yellow');
            $('#circle').removeClass('green');
            lblPercentage.textContent = "0%"
            lblRoute.textContent = "";
            lblRit.textContent = "";
            lblTruckStation.textContent = "";
            lblArrivalPlan.textContent = "";
            lblArrivalActual.textContent = "";
            lblDeparturePlan.textContent = "";
            lblDepartureActual.textContent = "";
            GridKanbanReceiving.PerformCallback();
            getHeader();
            getShortageCount();
        }
    }

    function clear() {
        $('#circle').removeClass('yellow');
        $('#circle').removeClass('green');
        lblPercentage.textContent = "0%"
        DELIVERY_NO.SetText("");
        DOCK_CD.SetText("");
        GridSupplierOption.UnselectRows();
        RECEIVING_PLANT.SetText("");
        SUPPLIER_PLANT_CD.SetText("");
        lblRoute.textContent = "";
        lblRit.textContent = "";
        lblTruckStation.textContent = "";
        lblArrivalPlan.textContent = "";
        lblArrivalActual.textContent = "";
        lblDeparturePlan.textContent = "";
        lblDepartureActual.textContent = "";
        SupplierOption.SetText("");
        GridSupplierOption.UnselectRows();
        GridSupplierOption.ClearFilter();
        GridKanbanReceiving.ClearFilter();
    }

    function OnBeginLookupCallbackGrid(s, e) {
        if (DCL_NO.GetText() != "" && DOCK_CD.GetText() != "") {
            e.customArgs["ORDER_NO"] = DCL_NO.GetText();
            e.customArgs["DOCK_CD"] = DOCK_CD.GetText();
        }
    }


    function OnEndCallbackGrid(s, e) {

    }

    function GridCallback(s, e) {
        GridKanbanReceiving.PerformCallback();
    }


    function BeginCallbackDownload(s, e) {

        var x = DELIVERY_NO.GetText();
        $.fileDownload("KanbanReceiving/DownloadKanbanReceiving/", {
            data: {
                ORDER_NO: x.substring(1, x.length - 2),
                DOCK_CD: DOCK_CD.GetText(),
                RECEIVING_PLANT: RECEIVING_PLANT.GetText(),
                SUPPLIER_CD: SupplierOption.GetText(),
                SUPPLIER_PLANT_CD: SUPPLIER_PLANT_CD.GetText()
            },
            successCallback: function (result) {
                //GoodsReceiptInquiryProgressPopup.Hide();
            },
            failCallback: function (result) {
                //GoodsReceiptInquiryProgressPopup.Hide();

                alert("Error On Download Kanban Receiving Data.");
            }
        });
    }

    function DoUpload() {
        ucCallbacks.Upload();
    }

    function uploadcomplete(v) {
        if (v != "") {
            $.msgBox({ title: "error", type: "error", content: v, success: function () { window.location = '@Url.Action("Index", "KanbanReceiving")'; } });
        }
        else {
            popupupdate.SetHeaderText('Confirmation');
            popupupdate.Show();
            GridKanbanUploaded.PerformCallback();

            $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/KanbanReceiving/getKanbanUploadedHeader")",
                dataType: "JSON",
                success: function (result) {
                    console.log(result);
                    UPLOAD_PLANT_CD.SetText(result.data[0].PLANT_CD);
                    UPLOAD_DOCK_CD.SetText(result.data[0].DOCK_CD);
                    TOTAL_UPLOAD.SetText(result.data[0].UPLOADED_COUNT);
                    TOTAL_UPDATE.SetText(result.data[0].UPDATE_COUNT);
                    ACTUAL_ARRIVAL_DATE.SetText(result.data[0].ARRIVAL_ACTUAL_DT);

                }
            });

            @*window.location = '@Url.Action("Index", "KanbanReceiving")';*@

        }
    }


    function updateReceivingFlag() {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/KanbanReceiving/updateReceivingFlag")",
            dataType: "JSON",
            success: function (result) {
                console.log(result);
                if (result.success == true) {
                    popupupdate.Hide();
                    $.msgBox({ title: "Info", type: "info", content: result.message });
                }
                else {
                    popupupdate.Hide();
                    $.msgBox({ title: "Warning", type: "warning", content: result.message });
                }
            }
        });
    }


    function cancelReceivingFlag() {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/KanbanReceiving/cancelReceivingFlag")",
            dataType: "JSON",
            success: function (result) {
                console.log(result);
                if (result.success == true) {
                    popupupdate.Hide();
                    $.msgBox({ title: "Info", type: "info", content: result.message });
                }
                else {
                    popupupdate.Hide();
                    $.msgBox({ title: "Warning", type: "warning", content: result.message });
                }
            }
        });
    }

    function saveNotes(index, MANIFEST_NO, ORDER_NO) {
        var isError1 = 0;
        var isError2 = 0;
        var isError3 = 0;
        var isError4 = 0;


        var N = window["txtSA_Notes[" + index + "]"].GetText();

        var a = N.split(".");
        var b = N.split(",");
        var c = N.split("?");
        var d = N.split("!");


        for (i = 0; i < a.length - 1; i++) {
            if (a[i].length == 0) {
                isError1 = 1;
            }
        }

        for (i = 0; i < b.length - 1; i++) {
            if (b[i].length == 0) {
                isError2 = 1;
            }
        }

        for (i = 0; i < c.length - 1; i++) {
            if (c[i].length == 0) {
                isError3 = 1;
            }
        }

        for (i = 0; i < d.length - 1; i++) {
            if (d[i].length == 0) {
                isError4 = 1;
            }
        }


        if (N == "" || trims(N) == "" || isError1 == 1 || isError2 == 1 || isError3 == 1 || isError4 == 1) {
            $.msgBox({ title: "Warning", type: "alert", content: "Please fill the note" });
            window["txtSA_Notes[" + index + "]"].SetText("");
        }
        else {

            $.ajax(
            {
                type: "POST",
                url: "@Url.Content("~/KanbanReceiving/saveRemark")",
                data:
            {
                MANIFEST_NO: MANIFEST_NO,
                ORDER_NO: ORDER_NO,
                REMARK: N
            },
                dataType: "JSON",
                success: function (result) {
                    if (result.status == 'success')
                        $.msgBox({ title: "Info", type: "info", content: result.message });
                    else
                        $.msgBox({ title: "Warning", type: "warning", content: result.message });

                    GridKanbanReceiving.ClearFilter();
                }
            });

        }

    }


    function PartReceive() {
        var manifest_no = GridKanbanReceiving.GetSelectedKeysOnPage()[0];

        if (GridKanbanReceiving.GetSelectedKeysOnPage().length > 0) {
            window.location = '@Url.Action("Index", "KanbanReceivingManifestLevel")?MANIFEST_NO=' + manifest_no
        }
        else {
            $.msgBox({ title: "error", type: "error", content: "Please select a record" });
        }

    }


    function remark(MANIFEST_NO, ORDER_NO) {
        remMANIFEST_NO.SetText(MANIFEST_NO);
        remORDER_NO.SetText(ORDER_NO);
        getRemark();
        popupnew.SetHeaderText('Add remark');
        popupnew.Show();
    }


    function remarkSave() {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/TruckReceiving/saveRemark")",
            data:
        {
            MANIFEST_NO: remMANIFEST_NO.GetText(),
            ORDER_NO: remORDER_NO.GetText(),
            REMARK: REMARK.GetText()
        },
            dataType: "JSON",
            success: function (result) {
                if (result.status == 'success') {
                    remMANIFEST_NO.SetText("");
                    remORDER_NO.SetText("");
                    REMARK.SetText("");
                    popupnew.Hide();
                    $.msgBox({ title: "Info", type: "info", content: result.message });
                }
                else {
                    remMANIFEST_NO.SetText("");
                    remORDER_NO.SetText("");
                    REMARK.SetText("");
                    popupnew.Hide();
                    $.msgBox({ title: "Warning", type: "warning", content: result.message });
                }
            }
        });
    }


    function getRemark() {
        $.ajax(
        {
            type: "POST",
            url: "@Url.Content("~/TruckReceiving/getRemark")",
            data:
        {
            MANIFEST_NO: remMANIFEST_NO.GetText(),
            ORDER_NO: remORDER_NO.GetText()
        },
            dataType: "JSON",
            success: function (result) {
                REMARK.SetText(result.remark);
            }
        });
    }
    function remarkCancel() {
        remMANIFEST_NO.SetText("");
        remORDER_NO.SetText("");
        REMARK.SetText("");
        popupnew.Hide();
    }

</script>
<div style="display: table; border: 1px solid #142B94; background-color: #DEECFD;  height:120px;">
    @Html.Action("PartialHeader", "KanbanReceiving")
</div>

@*<div style="margin-left: 10px; display: table; border: 1px solid #142B94; background-color: #DEECFD; padding: 10px; float: left; height: 120px; margin-bottom:10px;">
    @Html.Action("PartialHeader2", "KanbanReceiving")
    </div>*@

    
    @*<div id="circle" class="circle">&nbsp;</div>
    </div>*@

    <div style="height: 15px;">
    </div>
    
@*<div style="float:right">
    @Html.DevExpress().Button(
                settings =>
                {
                    settings.Name = "btnPartReceive";
                    settings.Text = "Part Receive";
                    settings.UseSubmitBehavior = false;
                    settings.Width = 100;
                    settings.ClientSideEvents.Click = "PartReceive";
                }
            ).GetHtml()
</div>*@

    @* div spacing *@
    <div style=" display: table; width: 100%; margin-right: 10px; ">
        @Html.Action("PartialData", "KanbanReceiving")
    </div>


    <div id="toggleDetail" style="margin-top:5px;"></div>

@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupnew";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(400);
    //settings.Height = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.SetContent(() =>
    {
        Html.RenderPartial("RemarkForm");
    });
}).GetHtml()




@Html.DevExpress().PopupControl(settings =>
{
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.Name = "popupupdate";
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(1024);
    //settings.Height = System.Web.UI.WebControls.Unit.Pixel(350);
    settings.Modal = true;
    settings.ShowPageScrollbarWhenModal = false;
    settings.CloseAction = CloseAction.CloseButton;
    settings.SetContent(() =>
    {
        Html.RenderPartial("Update");
    });
}).GetHtml()